(function ($) {
    $(document).ready(function () {

        $('body').on('click', '#publish', function () {

            let _mf_tab_value = $("#product-type").val();

            if (_mf_tab_value != "booking") {
                var _sku = $.trim($('#_sku').val());
            } else {
                $('#_sku').removeAttr('required');
            }

            let _r_price = $("#_regular_price").val();
            // let _s_price = $("#_sale_price").val();
            // let _mf_tab_value = $("#product-type").val();
            // let _block_cost = $("#_wc_booking_block_cost").val();
            // let _display_cost = $("#_wc_display_cost").val();
            let _sku_variations = $('input[id^="variable_sku"]').val();
            let _price_variations = $('input[id^="variable_regular_price_"]').val();
            let _bookable_article_number = $("#article_number").val();

            if ((_sku == '' || _r_price == '') && (_mf_tab_value == "simple" ||_mf_tab_value ==  "appointment")) {
                swal({
                    title: mf_empty_field_script_vars.alert_title,
                    text: mf_empty_field_script_vars.alert_description,
                    icon: mf_empty_field_script_vars.alert_type,
                });

                $('.general_tab > a').click();
                $('#_regular_price').focus();
                $('label[for=_regular_price]').css({backgroundColor: '#dcffd9'});
                $('label[for=_sale_price]').css({backgroundColor: '#dcffd9'});
                $('.general_tab > a').css({backgroundColor: '#dcffd9'});
                $('label[for=_sku]').css({backgroundColor: '#ffd9e0'});
                $('.inventory_tab > a').css({backgroundColor: '#ffd9e0'});
                $('.attribute_tab > a').css({backgroundColor: '#fafafa'});

                return false;

            }
            if ((_sku_variations == '' || _price_variations == '') && _mf_tab_value == "variable") {

                swal({
                    title: mf_var_empty_field_variations_script_vars.alert_title,
                    text: mf_var_empty_field_variations_script_vars.alert_description,
                    icon: mf_var_empty_field_variations_script_vars.alert_type,

                });

                $('.variations_tab > a').click();
                $('#_regular_price').focus();

                return false;

            } else if (_sku == '' && _mf_tab_value == "variable") {

                swal({
                    title: mf_var_empty_sku_field_variations_script_vars.alert_title,
                    text: mf_var_empty_sku_field_variations_script_vars.alert_description,
                    icon: mf_var_empty_sku_field_variations_script_vars.alert_type,

                });

                $('.inventory_tab > a').click();
                $('#_sku').focus();
                $('label[for=_sku]').css({backgroundColor: '#dcffd9'});
                $('.inventory_tab > a').css({backgroundColor: '#dcffd9'});
                $('.attribute_tab > a').css({backgroundColor: '#c8dfdc'});
                $('.variations_tab > a').css({backgroundColor: '#ffd9e0'});
                $('.general_tab > a').css({backgroundColor: '#fafafa'});

                return false;

            } else if (_bookable_article_number == '' && _mf_tab_value == "booking") {
                $('#_sku').removeAttr('required');
                swal({
                    title: mf_empty_bookable_price_field_script_vars.alert_title,
                    text: mf_empty_bookable_price_field_script_vars.alert_description,
                    icon: mf_empty_bookable_price_field_script_vars.alert_type,

                });

                $('.bookings_pricing_tab > a').click();
                $('label[for=_wc_booking_block_cost]').css({backgroundColor: '#dcffd9'});
                $('label[for=_wc_display_cost]').css({backgroundColor: '#dcffd9'});
                $('.bookings_pricing_tab > a').css({backgroundColor: '#dcffd9'});
                $('.custom_tab_tab > a').css({backgroundColor: '#fcc'});
                $('label[for=article_number]').css({backgroundColor: '#fcc'});

                return false;
            }
        });

        $('label[for=_sku]').on('click', function (event) {

            swal({
                title: info_sku_script_vars.alert_title,
                text: info_sku_script_vars.alert_description,
                icon: info_sku_script_vars.alert_type,
            });

        });

        $('label[for=is_pushed]').on('click', function (event) {

            if (($("#is_pushed").val() == 'Not_Synced' || $("#is_pushed").val() == '') && $("#product-type").val() == "variable") {

                $('label[for=is_pushed]').css({backgroundColor: '#fcc'});

                swal({
                    title: info_article_push_status_vars.alert_title,
                    text: info_article_push_status_vars.alert_description,
                    icon: info_article_push_status_vars.alert_type,

                });
            }

        });

        $('label[for=is_pushed]').on('click', function (event) {

            if (($("#is_pushed").val() == 'Not_Synced' || $("#is_pushed").val() == '') && $("#product-type").val() == "simple") {

                $('label[for=is_pushed]').css({backgroundColor: '#fcc'});

                swal({
                    title: info_article_push_status_vars.alert_title,
                    text: info_article_push_status_vars.alert_description,
                    icon: info_article_push_status_vars.alert_type,

                });
            }
        });

        if ($("#is_pushed").val() == 'Not_Synced') {
            $('label[for=is_pushed]').css({backgroundColor: '#fcc'});
            $('.custom_tab_tab > a').css({backgroundColor: '#fcc'});

        }

    });

    $('#product-type').on('change', function () {
        if ($('#product-type').val() == 'appointment') {
            $("#_mf_product_select").val('Service');
        } else {
            $("#_mf_product_select").val('Goods');
        }
    });

})(jQuery);
