<?php

class MF_Sync_Model_Merchant extends MF_Sync_Receipts_Model implements JsonSerializable {
    /** @var string */
    protected $CorporateIdentityNumber;
    /** @var string */
    protected $Name;
    /** @var string */
    protected $AddressLine1;
    /** @var string */
    protected $AddressLine2;
    /** @var string */
    protected $ZipCode;
    /** @var string */
    protected $City;
    /** @var string */
    protected $Country;
    /** @var string */
    protected $Phone;
    /** @var string */
    protected $HomePage;
    /** @var string */
    protected $Email;

    public function jsonSerialize() {
        return [
            'CorporateIdentityNumber' => $this->CorporateIdentityNumber,
            'Name' => $this->Name,
            'AddressLine1' => $this->AddressLine1,
            'AddressLine2' => $this->AddressLine2,
            'ZipCode' => $this->ZipCode,
            'City' => $this->City,
            'Country' => $this->Country,
            'Phone' => $this->Phone,
            'HomePage' => $this->HomePage,
            'Email' => $this->Email,
        ];
    }
}
