<?php

defined( 'ABSPATH' ) || exit;

class MF_Sync_Model_OrderReference extends MF_Sync_Receipts_Model implements JsonSerializable {
    /** @var int */
    protected $Index = 0;
    /** @var string */
    protected $OrderNumber;
    /** @var string */
    protected $Origin = 'AppsOrder';
    /** @var string */
    protected $OrderChangeState = null;

    public function jsonSerialize() {
        return [
            'Index' => $this->Index,
            'OrderNumber' => $this->OrderNumber,
            'Origin' => $this->Origin,
            'OrderChangeState' => $this->OrderChangeState,
        ];
    }
}
