<?php

defined( 'ABSPATH' ) || exit;

add_action( 'plugins_loaded', 'moreflo_sync_bookkeeping_setup' );

/**
 * Responsible for activaing bookkeeping
 */
function moreflo_sync_bookkeeping_setup() {
    // Check that WooCommerce is activated
    if ( ! function_exists( 'WC' ) ) {
        return;
    }

    // Include required files
    require_once('bookkeeping.php');
    require_once('sync.php');
}
