<?php

defined( 'ABSPATH' ) || exit;

interface MF_Sync_Sync {
    /**
     * Syncs objects from Apps to WooCommerce.
     * 
     * @param int $page Page number, starting at 0.
     * @param int $pageSize Page size. Must be greater than 0.
     * @param bool|string $updatedSince DateTime string if it should only do partial update, else false
     * @return array Array of statuses
     */
    public function sync( $page, $pageSize, $updatedSince );
}
