<?php

class MF_Sync_Model_Voucher_Row extends MF_Sync_Receipts_Model implements JsonSerializable {
    /** @var string */
    protected $AccountDescription;
    /** @var int */
    protected $AccountNumber;
    /** @var float */
    protected $DebitAmount;
    /** @var float */
    protected $CreditAmount;
    /** @var string */
    protected $TransactionText;
    /** @var string */
    protected $Project;
    /** @var string */
    protected $CostCenter;
    /** @var bool */
    protected $IsDeleted;
    /** @var string */
    protected $CreatedTime;
    /** @var string */
    protected $ModifiedTime;

    public function get_debit_amount() {
        return $this->DebitAmount;
    }

    public function get_credit_amount() {
        return $this->CreditAmount;
    }

    public function jsonSerialize() {
        return [
            'AccountDescription' => $this->AccountDescription,
            'AccountNumber' => intval( $this->AccountNumber ),
            'DebitAmount' => $this->DebitAmount,
            'CreditAmount' => $this->CreditAmount,
            'TransactionText' => $this->TransactionText,
            'Project' => $this->Project,
            'CostCenter' => $this->CostCenter,
            'IsDeleted' => $this->IsDeleted,
            'CreatedTime' => $this->CreatedTime,
            'ModifiedTime' => $this->ModifiedTime,
        ];
    }
}
