<?php

class MF_Sync_Model_Voucher extends MF_Sync_Receipts_Model implements JsonSerializable {
    /** @var string */
    protected $Id;
    /** @var bool */
    protected $UpdateOnExisting;
    /** @var int */
    protected $SupportingNumber;
    /** @var string */
    protected $VoucherNumber = '';
    /** @var string */
    protected $VoucherSeries = '';
    /** @var bool */
    protected $IsDeleted = false;
    /** @var string */
    protected $State = 'Pending';
    /** @var string */
    protected $ErrorReason;
    /** @var bool */
    protected $IsBookkept;
    /** @var string */
    protected $VoucherSyncReference = '';
    /** @var string */
    protected $VoucherSyncTime;
    /** @var string */
    protected $CashierSerialNumber = '';
    /** @var string */
    protected $VoucherDate;
    /** @var string */
    protected $VoucherText = '';
    /** @var string */
    protected $Project = '';
    /** @var string */
    protected $CostCenter = '';
    /** @var string */
    protected $ReferenceNumber;
    /** @var string */
    protected $ReferenceType;
    /** @var MF_Sync_Model_Voucher_Row[] */
    protected $Rows;
    /** @var string */
    protected $CreatedTime;
    /** @var string */
    protected $ModifiedTime;

    public function get_rows() {
        return $this->Rows;
    }

    public function get_voucher_text() {
        return $this->VoucherText;
    }

    public function jsonSerialize() {
        return [
            'Id' => $this->Id,
            'UpdateOnExisting' => $this->UpdateOnExisting,
            'SupportingNumber' => $this->SupportingNumber,
            'VoucherNumber' => $this->VoucherNumber,
            'VoucherSeries' => $this->VoucherSeries,
            'IsDeleted' => $this->IsDeleted,
            'State' => $this->State,
            'ErrorReason' => $this->ErrorReason,
            'IsBookkept' => $this->IsBookkept,
            'VoucherSyncReference' => $this->VoucherSyncReference,
            'VoucherSyncTime' => $this->VoucherSyncTime,
            'CashierSerialNumber' => $this->CashierSerialNumber,
            'VoucherDate' => $this->VoucherDate,
            'VoucherText' => $this->VoucherText,
            'Project' => $this->Project,
            'CostCenter' => $this->CostCenter,
            'ReferenceNumber' => $this->ReferenceNumber,
            'ReferenceType' => $this->ReferenceType,
            'Rows' => $this->Rows,
            'CreatedTime' => $this->CreatedTime,
            'ModifiedTime' => $this->ModifiedTime,
        ];
    }
}
