<div class="wrap">
	<h2><?php _e('Moreflo Sync', 'wpmf') ?></h2>
	<div>
		<form method="POST" action="">
            <?php
            $sync_status = Moreflo_Admin_Status::get_sync_cron_status();

			switch ( $sync_status ) {
				case 'disabled':
					echo wpautop( esc_html__('Automatic sync is disabled. You can manually sync all the products by clicking on the below button.', 'wpmf') );
					break;
				case 'inactive':
					echo wpautop( esc_html__( 'Automatic sync has been deactivated. Use the button below to re-activate automatic sync.', 'wpmf' ) );
					break;
				default:
					echo wpautop( esc_html__('Automatic sync is enabled. Next sync will start in', 'wpmf') . ' ' . $sync_status );
					break;
			}
            
            $nonce = wp_create_nonce("mf_ajax_sync_nonce");
			?>
            <p class="submit"><input type="button" name="mf_btn_sync" id="mf_sync_now" data-nonce="<?= esc_attr( $nonce ) ?>"  class="button button-primary" value="Force Sync"></p>
            <p class="submit"><button name="mf_btn_reactivate_cron" id="mf_btn_reactivate_cron" class="button button-secondary"><?= esc_html__( 'Re-activate automatic sync', 'wpmf' ) ?></button></p>
		</form>

        <textarea id="mf_sync_status" style="width: 100%;height: 200px;display: none;" disabled></textarea>
	</div>
</div>
